/*
 *	$Header: $
 *
 *	$History: $
 */
#pragma once

class CEnumerateFolders : public CObject
{
protected:
						CEnumerateFolders();
public:
	BOOL				Execute(LPCTSTR szFolder, BOOL bRecurse = TRUE, DWORD dwCookie = 0, LPCTSTR szFilter = _T("*.*"));

	virtual BOOL		OnFolder(LPCTSTR szFolder, DWORD dwCookie) const;
	virtual BOOL		OnFile(LPCTSTR szFilename, DWORD dwCookie) const;
};
